Subject: Linked calendars

From: Gary McGath <[email-masked]>
Date: Thu, 10 Oct 2002 17:45:47 -0400

How should links between different calendars be handled in RFC 2445? 
The scenario which I have in mind is one in which one calendar 
provides an overview, perhaps a list of conferences for the upcoming 
year, and other documents, which may be independently maintained, 
provided detailed information for each of these conferences.  A 
conference would be a single VEVENT in the overview calendar, but 
would be broken out in detail in the referenced conference's calendar.

Is this an appropriate usage for the "RELATED-TO" property of the 
VEVENT in the overview calendar? Since a UID is globally unique, this 
would be semantically valid, but there isn't any general way to 
locate the object to which the UID refers if it's buried in the 
middle of somebody else's calendar.

Alternatively, the "URL" property could be used to point at the 
detailed calendar, but the format of the resource which the URL 
points to is undefined.  Software following URL links could, of 
course, check if the link finds a valid iCalendar document (and 
should anyway, just on general principles).

Is one of these, or something else which I may have overlooked, an 
recommended way to handle linked calendars?
-- 
Gary McGath, Software Consultant
http://www.mcgath.com/consulting/

---

From: Doug Royer <[email-masked]>
Date: Thu, 10 Oct 2002 17:46:38 -0600

Both a "UID" and "RELATED-TO" are vendor specific text values.

So far we have not addressed this issue. And it is independent
of CAP (the current and warmest topic on this list).

I would go for using a CAL-ADDRESS (CAP or MAILTO URL)
in the "RELATED-TO" property value.

The "URL" property is used to point to a URL for the containing
object and I think that "RELATED-TO" would be more appropriate.

One of the reasons that this issue has not be solved here is that
is starts up a debate about "fan out". For example, what if something
changes in one of the related calendars? How is propagation handled?
How is any notification handled? What if two related calendars each
change their time independently - to the same time?

So "fan out" was going to be discussed at a later time.

It would be interesting to see if others (Bruce :) have
used the "RELATED-TO" property for this reason.

Gary McGath wrote:
> 
> How should links between different calendars be handled in RFC 2445? The 
> scenario which I have in mind is one in which one calendar provides an 
> overview, perhaps a list of conferences for the upcoming year, and other 
> documents, which may be independently maintained, provided detailed 
> information for each of these conferences.  A conference would be a 
> single VEVENT in the overview calendar, but would be broken out in 
> detail in the referenced conference's calendar.
> 
> Is this an appropriate usage for the "RELATED-TO" property of the VEVENT 
> in the overview calendar? Since a UID is globally unique, this would be 
> semantically valid, but there isn't any general way to locate the object 
> to which the UID refers if it's buried in the middle of somebody else's 
> calendar.
> 
> Alternatively, the "URL" property could be used to point at the detailed 
> calendar, but the format of the resource which the URL points to is 
> undefined.  Software following URL links could, of course, check if the 
> link finds a valid iCalendar document (and should anyway, just on 
> general principles).
> 

-- 
-
Doug Royer                       Work: (208)612-INET
[email-masked]                   Fax:  (866)594-8574
http://INET-Consulting.com       Cell: (208)520-4044
http://Royer.com/People/Doug